@font-face {
    font-family: 'DeathMach';
    src: url(fonts/DeatheMaachNcv-2ejv.ttf);
}

html {
    background-image: url(images/background-4.png);
    background-color: #370625;
}

body {
    color: black;
    font-family: Verdana;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    margin: 0;
    color: white;
}

h1 {
    font-size: clamp(1em, 5vw, 3em)
}



.image-element {
    position: absolute;
    text-align: center;
    color: white;
}

.hidden-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    visibility: hidden;
    font-size: 3cqw;
    text-shadow: 3px 3px 0 #000000;
    font-family: 'DeathMach';

    pointer-events: none;
    /* Allows clicks to pass through the text */
}

.image-element img {
    width: 100%;
}

.image-element:hover {
    >a>img {
        transform: scale(1.05);
    }

    >.hidden-text {
        visibility: visible;
    }
}

header {
    text-align: center;
    height: 5vw;
    justify-content: center;
    text-shadow: 2px 2px 4px #000000;
    display: flex;
    align-items: center;
    gap: 20px;
}

.container {
    background-color: rgba(84, 14, 58, 0.6);
    margin: 20px auto 20px auto;
    padding: 20px;
    width: min(80vw, 1200px);
    max-width: 800px;

    border-style: solid;
    border-width: 5px;
    border-color: #370625;
}

#openMe {
    top: 52vw;
    position: absolute;
    display: flex;
    justify-self: center;
    color: white;
    font-size: large;
}


#enter {
    width: 80vw;
    top: 5vw;
    left: 10vw;
}

#horse {
    width: 30vw;
    top: 33vw;
    left: 4vw;
    z-index: 10;
}

#dartboard {
    width: 15vw;
    top: 15vw;
    left: 21vw;
    z-index: 5;
}

#jukebox {
    width: 15vw;
    top: 33vw;
    left: 71vw;
    z-index: 5;
}

#bartender {
    width: 20vw;
    top: 15vw;
    left: 40vw;
    z-index: 0;
}

#bar {
    width: 34vw;
    top: 37vw;
    left: 33vw;
    z-index: 5;
}

#guestbook {
    width: 15vw;
    top: 31vw;
    left: 55vw;
    z-index: 6;
}

#painting {
    width: 11vw;
    top: 15vw;
    left: 65vw;
    z-index: 0;
}

.background-image-centered {
    width: 60vw;
    margin: 20px auto 20px auto;
    position: absolute;
    z-index: -1;
    left: 20vw;
    top: 10vw;

    img {
        width: 100%;
    }
}

.game-cover {
    position: absolute;

    img {
        width: 100%;
    }
}

#trampolinko-cover {
    width: 10vw;
    top: 29vw;
    left: 38vw;
    position: absolute;
}

.game-window {
    width: fit-content;
    align-items: center;
    margin: 10px auto 10px auto;
    justify-content: center;
}

.flexbox-group {
    margin-top: 5px;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    gap: 10px;
}

.travel-image {
    flex-wrap: wrap;
    width: min(280px, 40vw);
    flex-grow: 1;
    object-fit: cover;

}

.travel-image:hover {
    opacity: 0.9;
}

.popup-img {
    position: fixed;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.8);
    height: 100%;
    width: 100%;
    z-index: 100;
    display: none;
}

.popup-img span {
    position: absolute;
    top: 0;
    right: 10px;
    font-size: 40px;
    font-weight: bolder;
    color: #fff;
    cursor: pointer;
    z-index: 100;
}

.popup-img img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 5px;
    height: min(80vh 800px);
    width: min(80vw, 1200px);
    max-height: 90vh;
    max-width: 80vw;
    object-fit: contain;
}

.text-menu{
    position: absolute;
    top:35vw;
    left:50%;
    transform: translateX(-50%);
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 100;
    padding: 10px;
    border: 3px solid white;
    border-radius: 5px;
    box-sizing: border-box;
    display: none;
    width: min(90vw, 600px);
}

#response-text{
    margin-bottom: 10px;
    color:lightgrey;
}

#question-options{
    display: grid;
    gap:5px;

}

.question-option{
    color:white;
    padding: 4px;
}

.question-option:hover{
    color:yellow;
    font-style: italic;
}